Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionGCM2OrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionGCM2`, `ClientWireProtocol.ClientConnectionGCM2.Builder`

Enclosing class:
  ClientWireProtocol

public static interface ClientWireProtocol.ClientConnectionGCM2OrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ByteString`
`getCipher()`
`bytes cipher = 1;`
`boolean`
`getExplicitSSO()`
`bool explicitSSO = 5;`
`boolean`
`getForce()`
Force = true means not allowed to redirect the connection
`ByteString`
`getHmac()`
`bytes hmac = 3;`
`String`
`getPubKey()`
`string pubKey = 4;`
`ByteString`
`getPubKeyBytes()`
`string pubKey = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getCipher

ByteString getCipher()
`bytes cipher = 1;`

Returns:
  The cipher.

### getForce

boolean getForce()

     Force = true means not allowed to redirect the connection

`bool force = 2;`

Returns:
  The force.

### getHmac

ByteString getHmac()
`bytes hmac = 3;`

Returns:
  The hmac.

### getPubKey

String getPubKey()
`string pubKey = 4;`

Returns:
  The pubKey.

### getPubKeyBytes

ByteString getPubKeyBytes()
`string pubKey = 4;`

Returns:
  The bytes for pubKey.

### getExplicitSSO

boolean getExplicitSSO()
`bool explicitSSO = 5;`

Returns:
  The explicitSSO.